For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
      • GETGet email senders
      • POSTCreate email sender
      • PUTUpdate a sender
      • DELDelete a sender
      • PUTValidate a sender using OTP
      • GETGet all the dedicated IPs for your account
      • GETGet all the dedicated IPs for a specific sender
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Accounts and SettingsSenders

Delete a sender

DELETE
https://api.brevo.com/v3/senders/:senderId
DELETE
/v3/senders/:senderId
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.senders.deleteSender(1);
8}
9main();
Deletes an email sender from your Brevo account. Use this to: - Remove senders that are no longer needed - Clean up sender configurations - Remove duplicate or test senders Key information returned: - Success confirmation message
Was this page helpful?
Previous

Validate a sender using OTP

Next
Built with

Deletes an email sender from your Brevo account.

Use this to:

  • Remove senders that are no longer needed
  • Clean up sender configurations
  • Remove duplicate or test senders

Key information returned:

  • Success confirmation message

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

senderIdlongRequired
Id of the sender

Response

Sender deleted successfully

Errors

400
Bad Request Error
404
Not Found Error